#!/usr/bin/python
# -*- coding:utf-8 -*-
import RPi.GPIO as GPIO
from TRSensors import TRSensor
import time

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)

TR = TRSensor()

for i in range(0,4):
	print("Place the robot on white surface. Please ensure all line tracking sensors are above the white surface.")
	input("Press Enter to continue...")
	TR.calibrate()
	print("Place the robot on black surface. Please ensure all line tracking sensors are above the black surface.")
	input("Press Enter to continue...")
	TR.calibrate()

print("Calibrated Min: ", TR.calibratedMin)
print("Calibrated Max: ", TR.calibratedMax)
input("Press Enter to continue...")

while True:
	position,Sensors = TR.readLine()
	print(position,Sensors)
	time.sleep(0.25)
